export function nextState(state, delta, coment) {
    const nextState = { ...state };

    let logMsg = '';
    Object.keys(delta).forEach(key => {
        if (key === 'type')
            return;
        
        if (nextState.hasOwnProperty(key)) {
            if (coment)
                logMsg += '\n ' + key + ': ' + delta[key];

            nextState[key] = delta[key];
        } else {
            console.warn("nextState: bad action property\n", key + ":", delta[key]);
        }
    })

    if (coment)
        console.log('Next', coment, logMsg);

    return nextState;
}

const StateHelper = {
    next: nextState
};

export default StateHelper;